<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet">
<style type="text/css">
	body,#menu, .menu-item{
		display: flex;
		justify-content: center;
		align-items: center;
		position: relative;
	}
	body{
		height:100vh;
	}
	#menu{
		height:50px;
		width: 50px;
	}
	.menu-item{
		cursor: pointer;
		height:50px;
		width: 50px;
		border-radius: 50%;
		background:coral;
		box-shadow: 0 2px 3px gray;
		position: absolute;
		transition: .5s;
		opacity: 0;
	}
	.close>.menu-item{
		margin:0;
	}
	.menu-item:hover{
		background:red;
	}
	i{
		color:white;
	}
	.sandwich{
		opacity: 1;
	}
	.open>.menu-item{
		opacity: 1;
	}
	.open>.menu-item:nth-child(1){
		margin-top: 150%;
		transition-delay: 0ms;
	}
	.open>.menu-item:nth-child(2){
		margin-top: 75%;
		margin-left:100%;
		transition-delay: 100ms;

	}
	.open>.menu-item:nth-child(3){
		margin-top: -75%;
		margin-left:100%;
		transition-delay: 200ms;

	}
	.open>.menu-item:nth-child(4){
		margin-top: -150%;
		transition-delay: 300ms;

	}
	.open>.menu-item:nth-child(5){
		margin-top: -75%;
		margin-left:-100%;
		transition-delay: 400ms;

	}
	.open>.menu-item:nth-child(6){
		margin-top: 75%;
		margin-left:-100%;
		transition-delay: 500ms;

	}
	.menu-open{
		display:block;
	}
	.menu-close{
		display: none;
	}

	.close>.menu-item:nth-child(1){
		transition-delay: 500ms;
	}
	.close>.menu-item:nth-child(2){
		transition-delay: 400ms;
	}
	.close>.menu-item:nth-child(3){
		transition-delay: 300ms;
	}
	.close>.menu-item:nth-child(4){
		transition-delay: 200ms;
	}
	.close>.menu-item:nth-child(5){
		transition-delay: 100ms;
	}
	.close>.menu-item:nth-child(6){
		transition-delay: 0ms;
	}
</style>
<body>
	<div id="menu" class="close">
		<div class="menu-item"><i class="material-icons">alarm</i></div>		
		<div class="menu-item"><i class="material-icons">dashboard</i></div>		
		<div class="menu-item"><i class="material-icons">settings</i></div>		
		<div class="menu-item"><i class="material-icons">accessibility</i></div>		
		<div class="menu-item"><i class="material-icons">autorenew</i></div>		
		<div class="menu-item"><i class="material-icons">camera_enhance</i></div>	
		<div class="menu-item sandwich" onclick="toggleMenu()">
			<i class="material-icons menu-open" id="menubar">menu</i>
			<i class="material-icons menu-close" id="close">close</i>
		</div>
	</div>
</body>
<script type="text/javascript">
	function toggleMenu(){
			document.getElementById('menu').classList.toggle('open');
			document.getElementById('menu').classList.toggle('close');
			/*document.getElementById('menubar').classList.toggle('menu-open');
			document.getElementById('close').classList.toggle('menu-open');*/
			document.getElementById('menubar').classList.toggle('menu-close');
			document.getElementById('close').classList.toggle('menu-close');
	}
</script>
</html>